import Vue from 'vue'
import App from './App.vue'
import store from './store'
import '@/icons'
import router from './router/index'
import "@babel/polyfill"
import Es6Promise from 'es6-promise'
Es6Promise.polyfill()
import './utils/filters'
import { Button, Icon, Tag, Popup, Picker, Form, Empty,
    Search, PullRefresh, Toast, List, Collapse, CollapseItem,
    Tab, Tabs, Row, Col, Cell, CellGroup, NavBar,
    Field, DatetimePicker, Image, Loading, Overlay,
    ActionSheet, RadioGroup, Radio, CheckboxGroup, Checkbox,
    CountDown, Panel, Dialog, Divider, Rate, Uploader } from 'vant'
Vue.use(Button).use(Icon).use(Tag).use(NavBar)
   .use(Popup).use(Picker).use(Search).use(Collapse).use(CollapseItem)
   .use(PullRefresh).use(Toast).use(List).use(Form).use(Empty)
   .use(Tab).use(Tabs).use(Row).use(Col).use(Cell).use(CellGroup)
   .use(Field).use(DatetimePicker).use(Image).use(Loading).use(Overlay)
   .use(ActionSheet).use(RadioGroup).use(Radio).use(CheckboxGroup).use(Checkbox)
   .use(CountDown).use(Panel).use(Dialog).use(Divider).use(Rate).use(Uploader)
Vue.config.productionTip = false


//main.js中
import Vconsole from 'vconsole'
const vconsole = new Vconsole()
Vue.use(vconsole)
// import VueAMap from 'vue-amap'
// Vue.use(VueAMap)
// VueAMap.initAMapApiLoader({
//     key: 'c7856e7c812d299cff150e74d60ea608',
//     plugin: ['Geolocation', 'PlaceSearch', 'Geocoder', 'ToolBar'],
//     v: '1.4.4'
// })

new Vue({
    store,
    router,
    render: h => h(App)
}).$mount('#app')
